Bug 1210069 - python-XStatic-Magic-Search-0.2.5 is available
Summary: python-XStatic-Magic-Search-0.2.5 is available
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-XStatic-Magic-Search
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Runge
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: FutureFeature, Triaged
Depends On:
Blocks: PYTHON3
TreeView+ depends on / blocked
 
Reported: 2015-04-08 19:45 UTC by Upstream Release Monitoring
Modified: 2016-08-31 08:50 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-08-31 08:50:53 UTC


Attachments (Terms of Use)

Description Upstream Release Monitoring 2015-04-08 19:45:39 UTC
Latest upstream release: 0.2.1
Current version/release in rawhide: 0.2.0.1-1.fc23
URL: https://github.com/eucalyptus/magic-search

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 1 Upstream Release Monitoring 2015-04-08 19:45:44 UTC
Failed to kick off scratch build.

cmd:  spectool -g /var/tmp/thn-UtJBvV/python-XStatic-Magic-Search.spec
return code:  22
stdout:
Getting https://pypi.python.org/packages/source/X/XStatic-Magic-Search/XStatic-Magic-Search-0.2.1.tar.gz to ./XStatic-Magic-Search-0.2.1.tar.gz

stderr:
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
curl: (22) The requested URL returned error: 404 Not Found

Comment 2 Upstream Release Monitoring 2015-04-29 12:50:18 UTC
Latest upstream release: 0.2.2
Current version/release in rawhide: 0.2.0.1-1.fc23
URL: https://github.com/eucalyptus/magic-search

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 3 Upstream Release Monitoring 2015-04-29 12:50:22 UTC
Failed to kick off scratch build.

cmd:  spectool -g /var/tmp/thn-r_icDP/python-XStatic-Magic-Search.spec
return code:  22
stdout:
Getting https://pypi.python.org/packages/source/X/XStatic-Magic-Search/XStatic-Magic-Search-0.2.2.tar.gz to ./XStatic-Magic-Search-0.2.2.tar.gz

stderr:
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
curl: (22) The requested URL returned error: 404 Not Found

Comment 4 Upstream Release Monitoring 2015-05-05 00:54:42 UTC
Latest upstream release: 0.2.3
Current version/release in rawhide: 0.2.0.1-1.fc23
URL: https://github.com/eucalyptus/magic-search

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 5 Upstream Release Monitoring 2015-05-05 00:54:49 UTC
Failed to kick off scratch build.

cmd:  spectool -g /var/tmp/thn-UlZ_hU/python-XStatic-Magic-Search.spec
return code:  22
stdout:
Getting https://pypi.python.org/packages/source/X/XStatic-Magic-Search/XStatic-Magic-Search-0.2.3.tar.gz to ./XStatic-Magic-Search-0.2.3.tar.gz

stderr:
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
curl: (22) The requested URL returned error: 404 Not Found

Comment 6 Upstream Release Monitoring 2015-05-20 00:58:26 UTC
Latest upstream release: 0.2.4
Current version/release in rawhide: 0.2.0.1-1.fc23
URL: https://github.com/eucalyptus/magic-search

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 7 Upstream Release Monitoring 2015-05-20 00:58:29 UTC
Failed to kick off scratch build.

cmd:  spectool -g /var/tmp/thn-FJoVRb/python-XStatic-Magic-Search.spec
return code:  22
stdout:
Getting https://pypi.python.org/packages/source/X/XStatic-Magic-Search/XStatic-Magic-Search-0.2.4.tar.gz to ./XStatic-Magic-Search-0.2.4.tar.gz

stderr:
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
curl: (22) The requested URL returned error: 404 Not Found

Comment 8 Upstream Release Monitoring 2015-07-17 00:13:17 UTC
Latest upstream release: 0.2.5
Current version/release in rawhide: 0.2.0.1-2.fc23
URL: https://github.com/eucalyptus/magic-search

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 9 Upstream Release Monitoring 2015-07-17 00:13:21 UTC
Failed to kick off scratch build.

cmd:  spectool -g /var/tmp/thn-y7kI81/python-XStatic-Magic-Search.spec
return code:  22
stdout:
Getting https://pypi.python.org/packages/source/X/XStatic-Magic-Search/XStatic-Magic-Search-0.2.5.tar.gz to ./XStatic-Magic-Search-0.2.5.tar.gz

stderr:
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
curl: (22) The requested URL returned error: 404 Not Found

Comment 10 Tomas Orsava 2016-08-08 12:07:23 UTC
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's OK to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 25 as well.


If you need more instructions, a guide for porting Python-based RPMs is
available at [2].
If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file
[2] http://python-rpm-porting.readthedocs.io/


Note You need to log in before you can comment on or make changes to this bug.